Subject: Re: Ethernet PHY chip discovery not working on 855T with 971/972 chips

From: Dean Matsen <[email-masked]>
Date: Tue, 08 Jul 2003 22:50:49 -0700

Dan Malek wrote:

>
> Eugene Surovegin wrote:
>
>> It usually means that your hw lacks pull-up on MII MDIO line.
>
>
> Yep, and even when PHYs indicate they have internal pull-ups, either
> they don't or they aren't sufficient.
>
>
> -- Dan
>
>
>
>
Yes, I see we have no pullup on that line. We do dedicated HVAC
applications, so we
don't need to do this search. Our dedicated software wouldn't talk to
the chip
at the wrong address.

Don't you think the fix from my original message should still be
considered for
integration into the kernel? It will improve the odds that the kernel can
auto-detect someone's hardware....

Thanks
Dean

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/